Subject: Re: [bug#44853] [PATCH] gnu: Add qpdfview.

From: Leo Famulari <[email-masked]>
Date: Wed, 25 Nov 2020 15:33:06 -0500

On Wed, Nov 25, 2020 at 07:35:51PM +0100, Timotej Lazar wrote:
> This makes sense. I suppose we should wrap all Qt programs like this. I
> tried your patch and it works, but the same icon theme is used
> regardless of what I choose in LXQt appearance settings.

Hm, that's not ideal.

> I think the problem is with the 'qt-wrap phase, which uses "=" instead
> of "suffix" for wrapping variables. Changing this in qt-build-sytem.scm
> gives me correct icons. Now that I think about it, "prefix" might be
> better to ensure the correct versions of plugins are used at runtime;
> both options work for me.

Can you send the patch for qt-build-system? There are only 166 users of
it currently, so we can update it on the master branch. I don't really
know much about it, so I can't judge which is the best way to change it.